% =========================================================================
%> @file  LinearRegression.m
%> @author		Christian Campestrini (c.campestrini@tum.de)
%> @brief		calculates the linear regression
%>
%> @date		08.06.2016
%>
%> @param		Time
%> @param		SOC
%>
%> @retval		fitResult
%>
%> @syntax		fitresult=LinearRegression(Time,SOC)
% =========================================================================
function fitResult=LinearRegression(Time,SOC)
    % Prepare data
    [xData,yData] = prepareCurveData(Time,SOC);
    % Set up fittype and options.
    ft=fittype('poly1');
    % Fit model to data.
    [fitResult]=fit(xData,yData,ft);
end


