% =========================================================================
%> @file  NetPlot.m
%> @author		Christian Campestrini (c.campestrini@tum.de)
%> @brief		Plots the benchmark results
%>
%> @date		08.06.2016
%>
%> @param		handles (figure handle)
%> @param		Setup (plot setup and style information)
%> @param		ScoreProf (benchmark results)
%>
%> @retval		handles (figure handles)
%>
%> @syntax		handles=NetPlot(handles,Setup,ScoreProf);     
% =========================================================================
function handles=NetPlot(handles,Setup,ScoreProf)

    handles.x=1;
    handles.y=3;

    % Plot 1
    PlotNr=1;
    handles.Plot{1,PlotNr}.SubP=subplot(handles.y,handles.x,PlotNr);    
    hold on
    grid on
    box on
    [handles.Fig, handles.Plot{1,PlotNr}.hPlot, handles.Plot{1,PlotNr}.Obj]=spider(ScoreProf.A',' ', ...
                                                    [0 5],{' ' ' '; ' ' ' '; ' ' ' '; ' ' ' ';' ' ' ';' ' ' '},[],handles.Fig,Setup);

    % Plot 2
    PlotNr=2;
    handles.Plot{1,PlotNr}.SubP=subplot(handles.y,handles.x,PlotNr);    
    hold on
    grid on
    box on                                       
    [handles.Fig, handles.Plot{1,PlotNr}.hPlot, handles.Plot{1,PlotNr}.Obj]=spider(ScoreProf.B',' ', ...
                                                    [0 5],{' ' ' '; ' ' ' '; ' ' ' '; ' ' ' ';' ' ' ';' ',' '},[],handles.Fig,Setup);   

    % Plot 3
    PlotNr=3;
    handles.Plot{1,PlotNr}.SubP=subplot(handles.y,handles.x,PlotNr);    
    hold on
    grid on
    box on                                       
    [handles.Fig, handles.Plot{1,PlotNr}.hPlot, handles.Plot{1,PlotNr}.Obj]=spider(ScoreProf.C',' ', ...
                                                    [0 5],{' ' ' '; ' ' ' '; ' ' ' '; ' ' ' '},[],handles.Fig,Setup);            
end